import 'babel-polyfill'
import Es6Promise from 'es6-promise'
Es6Promise.polyfill()
require('es6-promise').polyfill()
import Vue from 'vue'
import App from './App'
import MintUI from 'mint-ui';
import 'mint-ui/lib/style.css'
import './assets/css/index.styl'
// import 'assets/js/vconsole.min.js'

import store from './store'
import router from './router'

import '@/permission' // permission control


Vue.use(MintUI);

Vue.config.productionTip = false

/* eslint-disable no-new */
new Vue({
  el: '#app',
  router,
  store,
  components: {App},
  template: '<App/>'
})

import Tabbottom from '@/page/layout/components/TabBottom'
Vue.component('Tabbottom',Tabbottom)

